import { DataTypeDefinition } from "./sql-data-types.js";
import { SqlServices } from "./sql-module.js";
import { CompletionList, CompletionParams } from 'vscode-languageserver';
import { LangiumDocument, AstNode, MaybePromise } from "langium";
import { GrammarAST } from "langium";
import { DefaultCompletionProvider, CompletionProviderOptions, CompletionContext, NextFeature, CompletionAcceptor } from "langium/lsp";
export declare class SqlCompletionProvider extends DefaultCompletionProvider {
    readonly completionOptions: CompletionProviderOptions;
    protected dataTypes: DataTypeDefinition[];
    constructor(services: SqlServices);
    getCompletion(document: LangiumDocument<AstNode>, params: CompletionParams): Promise<CompletionList | undefined>;
    protected completionFor(context: CompletionContext, next: NextFeature<GrammarAST.AbstractElement>, acceptor: CompletionAcceptor): MaybePromise<void>;
    private completeWithDataTypes;
}
